- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Friends | List of all members
G::NewProcess::ChildProcess Class Reference

Represents the state of a child process. More...

`#include <gnewprocess.h>`

## Public Member Functions
| ChildProcess (const ChildProcess &)
| ~ChildProcess ()
void | operator= (const ChildProcess &)
int | wait ()
std::string | read ()

## Friends
class | NewProcess

## Detailed Description

Represents the state of a child process.

Definition at line 56 of file gnewprocess.h.

## Constructor & Destructor Documentation

G::NewProcess::ChildProcess::ChildProcess | ( | const ChildProcess & | other | ) |

Definition at line 102 of file gnewprocess_unix_exec_enabled.cpp.

References G::NewProcess::ChildProcessImp::m_ref_count.

G::NewProcess::ChildProcess::~ChildProcess | ( |  | ) |

Definition at line 95 of file gnewprocess_unix_exec_enabled.cpp.

## Member Function Documentation

void G::NewProcess::ChildProcess::operator= | ( | const ChildProcess & | rhs | ) |

Definition at line 108 of file gnewprocess_unix_exec_enabled.cpp.

std::string G::NewProcess::ChildProcess::read | ( |  | ) |

Definition at line 119 of file gnewprocess_unix_exec_enabled.cpp.

int G::NewProcess::ChildProcess::wait | ( |  | ) |

Definition at line 114 of file gnewprocess_unix_exec_enabled.cpp.

## Friends And Related Function Documentation

friend class NewProcess
| friend

Definition at line 65 of file gnewprocess.h.

The documentation for this class was generated from the following files:

- gnewprocess.h
- gnewprocess_unix_exec_enabled.cpp